1. Toby Davies
  2. shared

Commits

Toby Davies  committed 9c1f6a6

added installer

  • Participants
  • Parent commits e6558c3
  • Branches default

Comments (0)

Files changed (1)

File install.sh

View file
  • Ignore whitespace
+#!/bin/bash
+
+set -e
+
+apt-get install aptitude
+
+aptitude install xmonad notification-daemon libnotify-bin zsh ipython chromium-browser emacs23 mercurial pyflakes pep8 pylint rxvt-unicode dmenu gmrun trayer vim zenity xclip xsel skype
+
+sed -i -e '/^Exec/d' -e '$ a Exec=/usr/lib/notification-daemon/notification-daemon' \
+    /usr/share/dbus-1/services/org.freedesktop.Notifications.service
+
+hg clone  ssh://hg@bitbucket.org/tobyodavies/shared settings
+
+ln -s settings/{.emacs,.xmonad,.zshrc,.zshenv,.Xdefaults,bin,fbin,.emacs.d} ./
+
+read -ei N -p "Reboot now?"
+
+chsh -s "$(which zsh)" "$SUDO_USER"
+
+case "$REPLY" in
+    y*|Y*) reboot now
+esac